<template>
  <div class="px-10 py-12" id="content">
    <topbar-filter
      :stargics="selectStargic"
      :budget_years="budget_years"
      @budgetYearsChange="budgetYearsChange"
      @stargicsChange="stargicsChange"
    />
    <div>
      <div class="my-5">
        <div>
          <tree-node-project :stargics="stargics" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import DefaultVue from "@/Layouts/Default.vue";
import TopbarFilter from "@/Components/TopbarFilter.vue";
import { toRefs } from "vue";
import { Inertia } from "@inertiajs/inertia";
import DetailProjectDialog from "@/Components/Welcome/DetailProjectDialog.vue";
import ProjectList from "@/Components/Dashboard/ProjectList.vue";
import TreeNodeProject from "@/Components/TreeNodeProject.vue";
export default {
  components: {
    TopbarFilter,
    DefaultVue,
    DetailProjectDialog,
    ProjectList,
    TreeNodeProject,
  },
  name: "Welcome",
  layout: DefaultVue,
  props: {
    stargics: Array,
    budget_years: Array,
    selectStargic: Array,
  },
  emits: ["close"],
  setup(props) {
    const { stargics, budget_years, selectStargic } = toRefs(props);
    const budgetYearsChange = (val) => {
      Inertia.get(route("index") + "/#content", { budgetYearId: val });
    };
    const stargicsChange = (val) => {
      Inertia.get(route("index") + "/#content", val);
    };

    return {
      stargicsChange,
      budgetYearsChange,
      stargics,
      budget_years,
      selectStargic,
    };
  },
};
</script>

<style>
</style>
